<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/add_itinerary_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_height"
        android:background="@color/title_background_color"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/title_margin_top"
            android:text="@string/announcement"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large" />

    </LinearLayout>

    <RadioGroup
        android:id="@+id/message_switch"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="@dimen/common_padding"
        android:orientation="horizontal">

        <RadioButton
            android:id="@+id/unread"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/style_selector_sift"
            android:button="@null"
            android:checked="true"
            android:gravity="center"
            android:text="@string/unread"
            android:textColor="@color/check_text_view_select"
            android:textSize="@dimen/text_size_medium" />

        <RadioButton
            android:id="@+id/read"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@drawable/style_selector_sift"
            android:button="@null"
            android:gravity="center"
            android:text="@string/read"
            android:textColor="@color/check_text_view_select"
            android:textSize="@dimen/text_size_medium" />
    </RadioGroup>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/message_list_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/common_padding"
        android:layout_weight="1"
        app:srlEnablePreviewInEditMode="true">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/message_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never" />

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</LinearLayout>